Package gov.nasa.gsfc.sscweb.schema

# Class RegionCondition

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Condition
gov.nasa.gsfc.sscweb.schema.RegionCondition

public class RegionCondition extends Condition
Space Region condition. <p>Java class for RegionCondition complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="RegionCondition"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Condition"> <sequence> <element name="ConditionOperator" type="{http://sscweb.gsfc.nasa.gov/schema}ConditionOperator"/> <element name="SpaceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}SpaceRegions" minOccurs="0"/> <element name="RadialTraceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}TraceRegions" minOccurs="0"/> <element name="BFieldTraceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}TraceRegions" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TraceRegions`
  `bFieldTraceRegions`
  Magnetic field trace regions.
  `protected ConditionOperator`
  `conditionOperator`
  Operator for combining region conditions.
  `protected TraceRegions`
  `radialTraceRegions`
  Radial trace regions.
  `protected SpaceRegions`
  `spaceRegions`
  Spacecraft regions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRegions`
  `getBFieldTraceRegions()`
  Magnetic field trace regions.
  `ConditionOperator`
  `getConditionOperator()`
  Operator for combining region conditions.
  `TraceRegions`
  `getRadialTraceRegions()`
  Radial trace regions.
  `SpaceRegions`
  `getSpaceRegions()`
  Spacecraft regions.
  `void`
  `setBFieldTraceRegions(TraceRegions value)`
  Sets the value of the bFieldTraceRegions property.
  `void`
  `setConditionOperator(ConditionOperator value)`
  Sets the value of the conditionOperator property.
  `void`
  `setRadialTraceRegions(TraceRegions value)`
  Sets the value of the radialTraceRegions property.
  `void`
  `setSpaceRegions(SpaceRegions value)`
  Sets the value of the spaceRegions property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### conditionOperator

    protected ConditionOperator conditionOperator
    Operator for combining region conditions.

  - ### spaceRegions

    protected SpaceRegions spaceRegions
    Spacecraft regions.

  - ### radialTraceRegions

    protected TraceRegions radialTraceRegions
    Radial trace regions.

  - ### bFieldTraceRegions

    protected TraceRegions bFieldTraceRegions
    Magnetic field trace regions.

- ## Constructor Details

  - ### RegionCondition

    public RegionCondition()

- ## Method Details

  - ### getConditionOperator

    public ConditionOperator getConditionOperator()
    Operator for combining region conditions.
    Returns:
      possible object is `ConditionOperator`

  - ### setConditionOperator

    public void setConditionOperator(ConditionOperator value)
    Sets the value of the conditionOperator property.
    Parameters:
      `value` - allowed object is `ConditionOperator`
    See Also:
      - `getConditionOperator()`

  - ### getSpaceRegions

    public SpaceRegions getSpaceRegions()
    Spacecraft regions.
    Returns:
      possible object is `SpaceRegions`

  - ### setSpaceRegions

    public void setSpaceRegions(SpaceRegions value)
    Sets the value of the spaceRegions property.
    Parameters:
      `value` - allowed object is `SpaceRegions`
    See Also:
      - `getSpaceRegions()`

  - ### getRadialTraceRegions

    public TraceRegions getRadialTraceRegions()
    Radial trace regions.
    Returns:
      possible object is `TraceRegions`

  - ### setRadialTraceRegions

    public void setRadialTraceRegions(TraceRegions value)
    Sets the value of the radialTraceRegions property.
    Parameters:
      `value` - allowed object is `TraceRegions`
    See Also:
      - `getRadialTraceRegions()`

  - ### getBFieldTraceRegions

    public TraceRegions getBFieldTraceRegions()
    Magnetic field trace regions.
    Returns:
      possible object is `TraceRegions`

  - ### setBFieldTraceRegions

    public void setBFieldTraceRegions(TraceRegions value)
    Sets the value of the bFieldTraceRegions property.
    Parameters:
      `value` - allowed object is `TraceRegions`
    See Also:
      - `getBFieldTraceRegions()`